Patchwork [01/12] gnutls: Add missing rdepends for libgnutls + extra

login
register
mail settings
Submitter Morten Svendsen
Date Nov. 21, 2012, 10:28 p.m.
Message ID <e78650a81254a2d6e2465b788168a7ee1da82ebd.1353493728.git.Morten.ThunbergSvendsen@prevas.dk>
Download mbox | patch
Permalink /patch/200873/
State Accepted
Delegated to: Esben Haabendal
Headers show

Comments

Morten Svendsen - Nov. 21, 2012, 10:28 p.m.
---
 recipes/gnutls/gnutls.inc |    2 ++
 1 file changed, 2 insertions(+)
Esben Haabendal - Dec. 14, 2012, 5:52 p.m.
Morten Thunberg Svendsen <Morten.ThunbergSvendsen@prevas.dk> writes:

> ---
>  recipes/gnutls/gnutls.inc |    2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/recipes/gnutls/gnutls.inc b/recipes/gnutls/gnutls.inc
> index e53c750..f46cd54 100644
> --- a/recipes/gnutls/gnutls.inc
> +++ b/recipes/gnutls/gnutls.inc
> @@ -40,6 +40,8 @@ do_stage_fix_libstdc() {
>  inherit auto-package-libs
>  AUTO_PACKAGE_LIBS = "gnutls gnutlsxx gnutls-openssl gnutls-extra"
>  AUTO_PACKAGE_LIBS_DEV_DEPENDS = "${PN}-dev"
> +RDEPENDS_${PN}-libgnutls-extra += "libtasn1 lzo"

Is that really "lzo" or is it actually liblzo that is needed?

> +RDEPENDS_${PN}-libgnutls += "libtasn1"
>  
>  inherit auto-package-utils
>  AUTO_PACKAGE_UTILS = "srptool certtool gnutls-serv psktool gnutls-cli \

/Esben
Morten Svendsen - March 4, 2013, 1:55 p.m.
On 14-12-2012 18:52, Esben Haabendal wrote:
> Morten Thunberg Svendsen <Morten.ThunbergSvendsen@prevas.dk> writes:
>
>> ---
>>   recipes/gnutls/gnutls.inc |    2 ++
>>   1 file changed, 2 insertions(+)
>>
>> diff --git a/recipes/gnutls/gnutls.inc b/recipes/gnutls/gnutls.inc
>> index e53c750..f46cd54 100644
>> --- a/recipes/gnutls/gnutls.inc
>> +++ b/recipes/gnutls/gnutls.inc
>> @@ -40,6 +40,8 @@ do_stage_fix_libstdc() {
>>   inherit auto-package-libs
>>   AUTO_PACKAGE_LIBS = "gnutls gnutlsxx gnutls-openssl gnutls-extra"
>>   AUTO_PACKAGE_LIBS_DEV_DEPENDS = "${PN}-dev"
>> +RDEPENDS_${PN}-libgnutls-extra += "libtasn1 lzo"
>
> Is that really "lzo" or is it actually liblzo that is needed?

liblzo is the correct one.

/Morten
Esben Haabendal - March 4, 2013, 2:58 p.m.
Morten Thunberg Svendsen <Morten.ThunbergSvendsen@prevas.dk> writes:

> On 14-12-2012 18:52, Esben Haabendal wrote:
>> Morten Thunberg Svendsen <Morten.ThunbergSvendsen@prevas.dk> writes:
>>
>>> ---
>>>   recipes/gnutls/gnutls.inc |    2 ++
>>>   1 file changed, 2 insertions(+)
>>>
>>> diff --git a/recipes/gnutls/gnutls.inc b/recipes/gnutls/gnutls.inc
>>> index e53c750..f46cd54 100644
>>> --- a/recipes/gnutls/gnutls.inc
>>> +++ b/recipes/gnutls/gnutls.inc
>>> @@ -40,6 +40,8 @@ do_stage_fix_libstdc() {
>>>   inherit auto-package-libs
>>>   AUTO_PACKAGE_LIBS = "gnutls gnutlsxx gnutls-openssl gnutls-extra"
>>>   AUTO_PACKAGE_LIBS_DEV_DEPENDS = "${PN}-dev"
>>> +RDEPENDS_${PN}-libgnutls-extra += "libtasn1 lzo"
>>
>> Is that really "lzo" or is it actually liblzo that is needed?
>
> liblzo is the correct one.

Ok, I will merge it with liblzo instead.

/Esben

Patch

diff --git a/recipes/gnutls/gnutls.inc b/recipes/gnutls/gnutls.inc
index e53c750..f46cd54 100644
--- a/recipes/gnutls/gnutls.inc
+++ b/recipes/gnutls/gnutls.inc
@@ -40,6 +40,8 @@  do_stage_fix_libstdc() {
 inherit auto-package-libs
 AUTO_PACKAGE_LIBS = "gnutls gnutlsxx gnutls-openssl gnutls-extra"
 AUTO_PACKAGE_LIBS_DEV_DEPENDS = "${PN}-dev"
+RDEPENDS_${PN}-libgnutls-extra += "libtasn1 lzo"
+RDEPENDS_${PN}-libgnutls += "libtasn1"
 
 inherit auto-package-utils
 AUTO_PACKAGE_UTILS = "srptool certtool gnutls-serv psktool gnutls-cli \